Package opennlp.tools.entitylinker

## Class EntityLinkerProperties

- java.lang.Object
- - opennlp.tools.entitylinker.EntityLinkerProperties

-     public class EntityLinkerProperties
      extends Object

  Properties wrapper for `EntityLinker` implementations.
  See Also:
    `EntityLinkerFactory`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EntityLinkerProperties​(File propertiesFile)` | Initializes `EntityLinkerProperties` via a `File` reference.
    `EntityLinkerProperties​(InputStream propertiesIn)` | Initializes `EntityLinkerProperties` via a `InputStream` reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getProperty​(String key, String defaultValue)` | Retrieves a property value for a given `key`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityLinkerProperties

          public EntityLinkerProperties​(File propertiesFile)
                                 throws IOException

      Initializes `EntityLinkerProperties` via a `File` reference.
      Parameters:
        `propertiesFile` - The `File` that references the `*.properties` configuration.
      Throws:
        `IOException` - Thrown if IO errors occurred.

    - #### EntityLinkerProperties

          public EntityLinkerProperties​(InputStream propertiesIn)
                                 throws IOException

      Initializes `EntityLinkerProperties` via a `InputStream` reference.
      Parameters:
        `propertiesIn` - The `InputStream` that references the `*.properties` configuration.
      Throws:
        `IOException` - Thrown if IO errors occurred.

  - ### Method Detail

    - #### getProperty

          public String getProperty​(String key,
                                    String defaultValue)
                             throws IOException

      Retrieves a property value for a given `key`.
      Parameters:
        `key` - The key to the desired item in the properties configuration `key=value`
        `defaultValue` - A default value in case the `key`, or the value are missing
      Returns:
        A property value as a `String`.
      Throws:
        `IOException` - Thrown if the properties object was not initialized properly.